Get workflow report
curl --request GET \
--url https://api.shoppex.io/dev/v1/workflows/report \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/workflows/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/workflows/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/workflows/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/workflows/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"days": 123,
"since": "<string>",
"until": "<string>",
"workflows": [
{
"workflow_id": "<string>",
"name": "<string>",
"runs": 123,
"succeeded": 123,
"check_stopped": 123,
"failed": 123,
"skipped": 123,
"skipped_by_reason": [
{
"reason": "<string>",
"count": 123
}
],
"success_rate": 123,
"last_run_at": "<string>",
"top_failures": [
{
"message": "<string>",
"count": 123
}
],
"running": 123,
"waiting": 123
}
],
"totals": {
"runs": 123,
"succeeded": 123,
"check_stopped": 123,
"failed": 123,
"skipped": 123,
"skipped_by_reason": [
{
"reason": "<string>",
"count": 123
}
],
"success_rate": 123,
"last_run_at": "<string>",
"top_failures": [
{
"message": "<string>",
"count": 123
}
],
"running": 123,
"waiting": 123
}
}
}{
"status": 123,
"data": null,
"error": "<string>",
"message": "<string>",
"log": null,
"env": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}Workflows
Get workflow report
Developer API operation for GET /dev/v1/workflows/report.
GET
/
dev
/
v1
/
workflows
/
report
Get workflow report
